package com.tjzhxx.union.entity.request;

import com.google.gson.annotations.SerializedName;

import java.io.Serializable;

/**
 * 描述:
 *
 * @author yanghuaxiong
 * @create 2018/8/15  上午11:40
 */
public class WxPayReq implements Serializable {


    /**
     * package : Sign=WXPay
     * appid : wxe917ed08edd31c18
     * sign : C1E2A0440E3D195617B9A7AAB2501C37
     * partnerid : 1510043531
     * prepayid : wx23143512851804cb234a57e71663284657
     * noncestr : 8d1c5f6a271d4f22938a0eaffd80cb68
     * timestamp : 1540276512
     */

    @SerializedName("package")
    private String packageX;
    private String appid;
    private String sign;
    private String partnerid;
    private String prepayid;
    private String noncestr;
    private String timestamp;

    public String getPackageX() {
        return packageX;
    }

    public void setPackageX(String packageX) {
        this.packageX = packageX;
    }

    public String getAppid() {
        return appid;
    }

    public void setAppid(String appid) {
        this.appid = appid;
    }

    public String getSign() {
        return sign;
    }

    public void setSign(String sign) {
        this.sign = sign;
    }

    public String getPartnerid() {
        return partnerid;
    }

    public void setPartnerid(String partnerid) {
        this.partnerid = partnerid;
    }

    public String getPrepayid() {
        return prepayid;
    }

    public void setPrepayid(String prepayid) {
        this.prepayid = prepayid;
    }

    public String getNoncestr() {
        return noncestr;
    }

    public void setNoncestr(String noncestr) {
        this.noncestr = noncestr;
    }

    public String getTimestamp() {
        return timestamp;
    }

    public void setTimestamp(String timestamp) {
        this.timestamp = timestamp;
    }
}
